<?
if (!isset($user) && !isset($_GET['id_user'])){header("Location: /foto/?".SID);exit;}
if (isset($user))$ank['id']=$user['id'];
if (isset($_GET['id_user']))$ank['id']=intval($_GET['id_user']);
$ank=get_user($ank['id']);
if (!$ank){header("Location: /foto/?".SID);exit;}
$gallery['id']=intval($_GET['id_gallery']);

if (mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"),0)==0){header("Location: /foto/$ank[id]/?".SID);exit;}
$gallery=mysql_fetch_assoc(mysql_query("SELECT * FROM `gallery` WHERE `id` = '$gallery[id]' AND `id_user` = '$ank[id]' LIMIT 1"));



$set['title']=$ank['nick'].' - Фотоальбом'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();

include 'inc/gallery_show_act.php';
err();
echo "<div class='mytitle'>\n";
echo "".online($ank['id'])." <a href='info.php?id=$ank[id]'><span style=\"color:$ank[ncolor]\">$ank[nick]</span></a><br/>\n";

echo "$gallery[name]\n";

echo "</div>\n";
$set['p_str'] = 20;
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]'"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
echo "<table class='post'>\n";
if ($k_post==0)
{
echo "   <tr>\n";
echo "  <td class='komm'>\n";
echo "Нет фотографий\n";
echo "  </td>\n";
echo "   </tr>\n";

}

$q=mysql_query("SELECT * FROM `gallery_foto` WHERE `id_gallery` = '$gallery[id]' ORDER BY `id` DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{

echo "<a href='/foto/$ank[id]/$gallery[id]/$post[id]/'><img src='/foto/foto48/$post[id].$post[ras]' width='35' height='35'  alt='Фото_$post[id]' /></a>";

}

echo "</table>\n";




if ($k_page>1)str('?',$k_page,$page); // Вывод страниц


include 'inc/gallery_show_form.php';


echo "<div class=\"foot\">\n";
echo "<a href='/foto/$ank[id]/'>Фотоальбомы</a> $ank[nick]<br />\n";
echo "</div>\n";
include_once '../sys/inc/tfoot.php';
exit;
?>